Авторизация  
psychojm

Ошибки пологаю Java

В теме 24 сообщения

Доброй ночи. Может кто подскажет выбивают при запуске батника сервера ошибку
 

Error occurred during initialization of VM
java.lang.UnsatisfiedLinkError: java.lang.Class.getClassLoader0()Ljava/lang/ClassLoader;
    <<no stack trace available>>

в инете не нашел если честно, по этому и обращаюсь сюда )

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
17 минут назад, psychojm сказал:

Доброй ночи. Может кто подскажет выбивают при запуске батника сервера ошибку
 

Error occurred during initialization of VM
java.lang.UnsatisfiedLinkError: java.lang.Class.getClassLoader0()Ljava/lang/ClassLoader;
    <<no stack trace available>>

 в инете не нашел если честно, по этому и обращаюсь сюда )

у вас пути правильно указаны Java?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 часа назад, Link сказал:

у вас пути правильно указаны Java?

не знаю, первый раз слышу что нужно правильно указывать путь java ) а где можно это глянуть?) Извеняюсь за тупые вопросы )

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Не знаю где вы искали, в интернете куча инфы по этой ошибке. Батник блокнотом откройте и память добавьте или убавьте, смотря сколько у вас

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 часа назад, GUSTAVO сказал:

Не знаю где вы искали, в интернете куча инфы по этой ошибке. Батник блокнотом откройте и память добавьте или убавьте, смотря сколько у вас

Вы явно эту кучу инфы выдумали из головы. И проблема ошибки автора явно не в памяти.

10 часов назад, psychojm сказал:

UnsatisfiedLinkError

Возможно не корректно указан путь к java в переменной path. Возможно кривой батник

Отктройте cmd.exe, напишите java -version, скинте результат

Откройте cmd.exe, напишите echo %PATH%, скинте результат

Скинте содержимое батника

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

скорее всего не та версия явы стоит, сборки обычно идут либо на 1.7 ява ,либо 1.8

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

32 битную версию ставте и будет норм, видать там обуфскатор стоит а он на 32 только.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 часа назад, lvlkoo сказал:

Вы явно эту кучу инфы выдумали из головы. И проблема ошибки автора явно не в памяти.

Возможно не корректно указан путь к java в переменной path. Возможно кривой батник

Отктройте cmd.exe, напишите java -version, скинте результат

Откройте cmd.exe, напишите echo %PATH%, скинте результат

Скинте содержимое батника

Это 100% ошибка пути ,  или у него присутствие старая версия JRE  которая мешает.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 час назад, Link сказал:

Это 100% ошибка пути ,  или у него присутствие старая версия JRE  которая мешает.

понял уже о каком вы пути, путь прописан

5 часов назад, Region сказал:

скорее всего не та версия явы стоит, сборки обычно идут либо на 1.7 ява ,либо 1.8

ставил и 1.7 и 1.8 64битную, все то же самое.

 

9 часов назад, GUSTAVO сказал:

Не знаю где вы искали, в интернете куча инфы по этой ошибке. Батник блокнотом откройте и память добавьте или убавьте, смотря сколько у вас

Пробовал не помогло.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
1 минуту назад, psychojm сказал:

понял уже о каком вы пути, путь прописан

ставил и 1.7 и 1.8 64битную, все то же самое.

 

Пробовал не помогло.

Ошибка говорт об этом, какая ява указана в билде ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, Link сказал:

Ошибка говорт об этом, какая ява указана в билде ?

Извеняюсь, где указана?) Или как это глянуть?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, psychojm сказал:

Извеняюсь, где указана?) Или как это глянуть?

Я правильно понимаю , вы хотите скампилить сборку ?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
Только что, Link сказал:

Я правильно понимаю , вы хотите скампилить сборку ?

Нет, все намного проще :) Я хочу просто запустить сервер, сам батник что бы прогрузилась сборка :)

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
6 часов назад, lvlkoo сказал:

Возможно не корректно указан путь к java в переменной path. Возможно кривой батник

Отктройте cmd.exe, напишите java -version, скинте результат

Откройте cmd.exe, напишите echo %PATH%, скинте результат

Скинте содержимое батника

 

  • Like 1

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 минуты назад, lvlkoo сказал:

 

Батник -rem java -server -Dfile.encoding=UTF-8 -Xmx4G -Xbootclasspath/p:core.jar -cp config/xml;lameguard-1.9.5.jar;lib/*; com.lameguard.LameGuard l2p.gameserver.GameServer
java -server -Dfile.encoding=UTF-8 -Xmx2G -Xbootclasspath/p:core.jar -cp config/xml;lib/*; l2p.gameserver.GameServer > stdout.log
 

1.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, lvlkoo сказал:

 

Сейчас начало писать Error occurred during initialization of VM
Could not reserve enough space for 2097152KB object heap

Но я выделяю больше памяти все равно то же самое

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 часа назад, psychojm сказал:

Сейчас начало писать Error occurred during initialization of VM
Could not reserve enough space for 2097152KB object heap

Но я выделяю больше памяти все равно то же самое

У вас 64 разрядная система, судя по всему. Какого хрена на ней делает х32 версия JRE? я думаю проблема исключительно здесь

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
12 минут назад, Narsun сказал:

У вас 64 разрядная система, судя по всему. Какого хрена на ней делает х32 версия JRE? я думаю проблема исключительно здесь

не в этом проблема :) У меня стояла 64х, потому мне сказали поставить 32, потом я опять поставил 64 ) кароч везде одно и то же пишет

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
2 часа назад, psychojm сказал:

Could not reserve enough space for 2097152KB object heap

У вас в PATH прописан путь к 32 битной версии JAVA. 32 битная вреися не умеет работать с большими обьемами оперативной памяти.

К тому же у вас в PATH путь прописан к JRE.

1. Установите JDK 64 бит (если у вас оно еще не установлено). 64 битные версии по умолчанию устанавливаются в папку C:\Program Files\Java (Без x86 в названии)

2. Пропишите путь к папке bin вашего JDK. Например  C:\Program Files\Java\jdk1.8.0_161\bin

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
4 минуты назад, lvlkoo сказал:

У вас в PATH прописан путь к 32 битной версии JAVA. 32 битная вреися не умеет работать с большими обьемами оперативной памяти.

К тому же у вас в PATH путь прописан к JRE.

1. Установите JDK 64 бит (если у вас оно еще не установлено). 64 битные версии по умолчанию устанавливаются в папку C:\Program Files\Java (Без x86 в названии)

2. Пропишите путь к папке bin вашего JDK. Например  C:\Program Files\Java\jdk1.8.0_161\bin

Плюсую. Только вот я бы порекомендовал качать не JDK, а JRE, дабы не было путаницы. Автору не нужно работать с кодом. ему нужна лишь виртуальная машина

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
5 минут назад, Narsun сказал:

Плюсую. Только вот я бы порекомендовал качать не JDK, а JRE, дабы не было путаницы. Автору не нужно работать с кодом. ему нужна лишь виртуальная машина

Только вот сборчкам, которые юзают Compiler API и компилят скрипты на лету (а так делают почти все), JRE будет не достаточно, JRE не содрежит нужных библиотек для компиляции.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
3 часа назад, lvlkoo сказал:

Только вот сборчкам, которые юзают Compiler API и компилят скрипты на лету (а так делают почти все), JRE будет не достаточно, JRE не содрежит нужных библиотек для компиляции.

однако...возьму на вооружение. Ранее не сталкивался :unknw:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты
В 2018/11/8 в 07:12, psychojm сказал:

Доброй ночи. Может кто подскажет выбивают при запуске батника сервера ошибку
 

Error occurred during initialization of VM
java.lang.UnsatisfiedLinkError: java.lang.Class.getClassLoader0()Ljava/lang/ClassLoader;
    <<no stack trace available>>

в инете не нашел если честно, по этому и обращаюсь сюда )

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Для публикации сообщений создайте учётную запись или авторизуйтесь

Вы должны быть пользователем, чтобы оставить комментарий

Создать учетную запись

Зарегистрируйте новую учётную запись в нашем сообществе. Это очень просто!

Регистрация нового пользователя

Войти

Уже есть аккаунт? Войти в систему.

Войти
Авторизация  

  • Последние посетители   0 пользователей онлайн

    Ни одного зарегистрированного пользователя не просматривает данную страницу